org.hibernate.search.spatial

## Class DistanceSortField

- java.lang.Object
- - org.apache.lucene.search.SortField
  - - org.hibernate.search.spatial.DistanceSortField

-     public class DistanceSortField
      extends SortField

  Lucene SortField for sorting documents which have been indexed with Hibernate Search spatial
  Author:
    Nicolas Helleringer
  See Also:
    `SpatialFieldBridgeByHash`, `SpatialFieldBridgeByRange`, `Coordinates`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.SortField

      `SortField.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.SortField

      `FIELD_DOC, FIELD_SCORE, missingValue, STRING_FIRST, STRING_LAST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistanceSortField(Coordinates center, String fieldName)`
    `DistanceSortField(Coordinates center, String fieldName, boolean reverse)`
    `DistanceSortField(double latitude, double longitude, String fieldName)`
    `DistanceSortField(double latitude, double longitude, String fieldName, boolean reverse)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Coordinates` | `getCenter()`

    - ### Methods inherited from class org.apache.lucene.search.SortField

      `equals, getBytesComparator, getComparator, getComparatorSource, getField, getReverse, getType, hashCode, needsScores, rewrite, setBytesComparator, setMissingValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DistanceSortField

          public DistanceSortField(Coordinates center,
                                   String fieldName)

    - #### DistanceSortField

          public DistanceSortField(double latitude,
                                   double longitude,
                                   String fieldName)

    - #### DistanceSortField

          public DistanceSortField(Coordinates center,
                                   String fieldName,
                                   boolean reverse)

    - #### DistanceSortField

          public DistanceSortField(double latitude,
                                   double longitude,
                                   String fieldName,
                                   boolean reverse)

  - ### Method Detail

    - #### getCenter

          public Coordinates getCenter()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved